{% extends 'navbar.html' %}

{% block content_block %}
<!-- particlesjs -->
<div id="particles-js"></div>

<h1 class="text-center pt-4">BERANDA</h1>
<div class="container pb-4">
    <div class="row">
        <form action="{% url 'user:search' %}" method="GET">
            <div class="col">
                <label for="searchpet">Search pet</label>
                <div class="d-flex align-items-center flex-nowrap mb-2">
                    <input type="search" class="form-control" id="search" name="search" placeholder="Search pet here">
                    <button class="btn btn-outline-primary ml-3" style="border: 1px solid #002c3e !important; color: #002c3e;" 
                    type="submit">Search</button>
                </div>
                <div class="mt-3 mb-2" style="align-items:flex-start;">
                    <button class="btn orange-btn filter-btn" id="btn-all">All</button>
                    <button class="btn orange-btn filter-btn" id="btn-cats">Cats</button>
                    <button class="btn orange-btn filter-btn" id="btn-dogs">Dogs</button>
                    <button class="btn orange-btn filter-btn" id="btn-others">Others</button>
                </div>
            </div>
        </form>
    </div>
    <div class="container">
        <div class="row" id="all-pet">
        {% if database %}
            {% for i in database %}
                <div class="col-12 col-sm-6 col-md-4 col-lg-3 card-square">
                    <div class="card h-100">
                        <div class="card-body">
                            <div class="card-judul">
                                <h5 class="card-title">{{i.nama_hewan}}</h5>
                            </div>
                            <div class="card-isi">
                                <p class="card-text">{{i.jenis_hewan}} @ {{i.domisili_hewan}}</p>
                                <p class="card-keterangan">{{i.keterangan}}</p>									 				
                            </div class="card-bottom">
                            <p class="card-kategori">#{{i.kategori}}</p>
                            <a type="button" onclick="location.href='/user/detail-open-adopt/{{i.id}}'" target="_blank" class="btn btn-detail">Lihat Detail</a><br>
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% endif %}	
        {% if donasi %}
            {% for j in donasi %}
            {% if j.verifikasi %}
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 card-square">
                <div class="card h-100">
                    <div class="card-body">
                        <div class="card-judul">
                            <h5 class="card-title">{{j.nama_hewan}}</h5>
                        </div>
                        <div class="card-isi">
                            <p class="card-text">{{j.lokasi_perawatan}} - {{j.biaya_perawatan}}</p>
                            <p class="card-keterangan">{{j.keterangan}}</p>									 				
                        </div class="card-bottom">
                        <p class="card-kategori">#{{j.kategori}}</p>
                        <a type="button" onclick="location.href='/user/detail-donasi/{{j.id}}'" target="_blank" class="btn btn-detail">Lihat Detail</a><br>
                    </div>
                </div>
            </div>
            {% endif %}	
            {% endfor %}
        {% endif %}
        {% if artikel %}
            {% for k in artikel %}
            {% if k.verifikasi_artikel %}
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 card-square">
                <div class="card h-100">
                    <div class="card-body">
                        <div class="card-judul">
                            <h5 class="card-title">{{k.judul_artikel}}</h5>
                        </div>
                        <div class="card-isi">
                            <p class="card-keterangan">{{k.isi_artikel}}</p>									 				
                        </div class="card-bottom">
                            <p class="card-kategori">#{{k.tag_artikel}}</p>
                            <a type="button" onclick="location.href='/user/detail-artikel/{{k.id}}'" target="_blank" class="btn btn-detail">Lihat Detail</a><br>
                    </div>
                </div>
            </div>
            {% endif %}	
            {% endfor %}
        {% else %}
		<div class="container my-5 text-center">
			Sorry, there are no current posts.<br><strong>Check back soon!</strong>
		</div>
        {% endif %}			
        </div>
    </div>

{% endblock content_block %}
